Skip to content

Technology packages

Delete technology package

DELETE /sympheny-app/scenarios/{scenarioGuid}/technology-packages/{guid}

Requires a Bearer token. SDK method: client.technology_packages.delete().

Parameters

Name In Type Required Description
scenarioGuid path string yes
guid path string yes
deleteTechs query boolean no Default: false.

Example request

curl -X DELETE "https://eu-north-1-api.sympheny.com/sympheny-app/scenarios/{scenarioGuid}/technology-packages/{guid}" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN"

Responses

Status Description Schema
200 OK ResponseDtoTechnologyPackageListResponseDto

Example response (200)

{
  "data": {
    "technologyPackages": [
      {
        "name": "string",
        "guid": "string",
        "conversionTechnologies": [
          "string"
        ],
        "storageTechnologies": [
          "string"
        ],
        "dbOrganization": "string"
      }
    ]
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}

Get all technology packages by scenario v2

GET /sympheny-app/v2/scenarios/{scenarioGuid}/technology-packages

Requires a Bearer token. SDK method: client.technology_packages.list().

Parameters

Name In Type Required Description
scenarioGuid path string yes

Example request

curl -X GET "https://eu-north-1-api.sympheny.com/sympheny-app/v2/scenarios/{scenarioGuid}/technology-packages" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN"

Responses

Status Description Schema
200 OK ResponseDtoTechnologyPackageListResponseDtoV2

Example response (200)

{
  "data": {
    "technologyPackages": [
      {
        "maximumConversions": 0,
        "maximumStorages": 0,
        "mustBeInstalled": "canBeInstalled",
        "mutuallyExclusiveGroup": "string",
        "name": "string",
        "guid": "string",
        "conversionTechnologies": [
          {
            "guid": "string",
            "name": "string"
          }
        ],
        "storageTechnologies": [
          {
            "guid": "string",
            "name": "string"
          }
        ]
      }
    ]
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}

Get technology package by guid v2

GET /sympheny-app/v2/scenarios/{scenarioGuid}/technology-packages/{guid}

Requires a Bearer token. SDK method: client.technology_packages.get().

Parameters

Name In Type Required Description
scenarioGuid path string yes
guid path string yes

Example request

curl -X GET "https://eu-north-1-api.sympheny.com/sympheny-app/v2/scenarios/{scenarioGuid}/technology-packages/{guid}" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN"

Responses

Status Description Schema
200 OK ResponseDtoTechnologyPackageResponseDtoV2

Example response (200)

{
  "data": {
    "maximumConversions": 0,
    "maximumStorages": 0,
    "mustBeInstalled": "canBeInstalled",
    "mutuallyExclusiveGroup": "string",
    "name": "string",
    "guid": "string",
    "conversionTechnologies": [
      {
        "guid": "string",
        "name": "string"
      }
    ],
    "storageTechnologies": [
      {
        "guid": "string",
        "name": "string"
      }
    ]
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}

Specify technology package v2 1

POST /sympheny-app/v2_1/scenarios/{scenarioGuid}/technology-packages

Requires a Bearer token. SDK method: client.technology_packages.create().

Parameters

Name In Type Required Description
scenarioGuid path string yes

Request body (TechnologyPackageRequestDtoV2)

Field Type Required Description
maximumConversions integer (int32), nullable no
maximumStorages integer (int32), nullable no
mustBeInstalled string yes One of: canBeInstalled, mustBeInstalled, mustBeInstalledInAtLeastOneHub.
mutuallyExclusiveGroup string, nullable no
name string yes
conversionTechnologies array of string yes
storageTechnologies array of string yes

Example request

curl -X POST "https://eu-north-1-api.sympheny.com/sympheny-app/v2_1/scenarios/{scenarioGuid}/technology-packages" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "maximumConversions": 0,
  "maximumStorages": 0,
  "mustBeInstalled": "canBeInstalled",
  "mutuallyExclusiveGroup": "string",
  "name": "string",
  "conversionTechnologies": [
    "string"
  ],
  "storageTechnologies": [
    "string"
  ]
}'

Responses

Status Description Schema
201 Created ResponseDtoTechnologyPackageResponseDtoV2

Example response (201)

{
  "data": {
    "maximumConversions": 0,
    "maximumStorages": 0,
    "mustBeInstalled": "canBeInstalled",
    "mutuallyExclusiveGroup": "string",
    "name": "string",
    "guid": "string",
    "conversionTechnologies": [
      {
        "guid": "string",
        "name": "string"
      }
    ],
    "storageTechnologies": [
      {
        "guid": "string",
        "name": "string"
      }
    ]
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}

Update technology package v2 1

PUT /sympheny-app/v2_1/scenarios/{scenarioGuid}/technology-packages/{guid}

Requires a Bearer token. SDK method: client.technology_packages.update().

Parameters

Name In Type Required Description
scenarioGuid path string yes
guid path string yes

Request body (TechnologyPackageResponseDtoV2)

Field Type Required Description
maximumConversions integer (int32), nullable no
maximumStorages integer (int32), nullable no
mustBeInstalled string yes One of: canBeInstalled, mustBeInstalled, mustBeInstalledInAtLeastOneHub.
mutuallyExclusiveGroup string, nullable no
name string yes
guid string, nullable no
conversionTechnologies array of GuidNameDto yes
storageTechnologies array of GuidNameDto yes

Example request

curl -X PUT "https://eu-north-1-api.sympheny.com/sympheny-app/v2_1/scenarios/{scenarioGuid}/technology-packages/{guid}" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "maximumConversions": 0,
  "maximumStorages": 0,
  "mustBeInstalled": "canBeInstalled",
  "mutuallyExclusiveGroup": "string",
  "name": "string",
  "guid": "string",
  "conversionTechnologies": [
    {
      "guid": "string",
      "name": "string"
    }
  ],
  "storageTechnologies": [
    {
      "guid": "string",
      "name": "string"
    }
  ]
}'

Responses

Status Description Schema
201 Created ResponseDtoTechnologyPackageResponseDtoV2

Example response (201)

{
  "data": {
    "maximumConversions": 0,
    "maximumStorages": 0,
    "mustBeInstalled": "canBeInstalled",
    "mutuallyExclusiveGroup": "string",
    "name": "string",
    "guid": "string",
    "conversionTechnologies": [
      {
        "guid": "string",
        "name": "string"
      }
    ],
    "storageTechnologies": [
      {
        "guid": "string",
        "name": "string"
      }
    ]
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}